使用dotcloud免费ssh翻墙

原文:http://igfw.net/archives/7257

前些天推特上在使用dotcloud免费ssh推 后有网友表示了强烈的不满,其实这也不奇怪,正如GAE被用来翻墙、cPanel面板SFTP被用来做代理翻墙都遭受过部分网友强烈不满一样,无非是有两 点担心,一是担心服务由于能被用来翻墙而遭GFW封锁,一是担心由于被广泛用来翻墙而影响服务器性能进而影响正常用途需求,这些担心都非空穴来风,都有前 车之鉴。GAE被用来翻墙最终被GFW封锁,cPanel空间被用来翻墙造成服务器负载过大最终越来越多空间服务商关闭了SSH Tunneling,诚然这些公司发布这些服务的初衷绝不是让大家用来翻墙的,它们也不是翻墙的完美方案。这样的结果该去埋怨谁呢?是开发了GAE翻墙工 具的人,是发现了cPanel面板ssh翻墙的人,是把相关信息扩散的人,还是修筑GFW让人们翻墙的人。以前有人在网上大骂用GAE翻墙,还有人给 cPanel空间写邮件让他们关闭SSH Tunneling,无论如何,只要墙存在就有人翻,而免费翻墙一如既往的有那么大的人气,尽管收费翻墙也不贵。

使用dotcloud免费ssh文中是讲的在Linux下的操作,在APJP支持DotCloud云平台一文中详述了在Windows系统下搭建dotcloud环境的方法,下面是在此基础上使用dotcloud免费ssh翻墙的方法(请vpn下查看文章,以免看不到图片):

1. �入 dotcloud info YourAppID.www ,如�

看到其中url: ssh://dotcloud@xxxxx-logname.dotcloud.com:15859  <–端口,每�人不�相同

2.因�DotCloud的ssh使用密�登�,不支援使用密�,其密�在 ~/.dotcloud/dotcloud.key , ssh命令要加入 -i ��
ssh -i ~/.dotcloud/dotcloud.key -vNfD 7070 dotcloud@xxx-eee.dotcloud.com -p 15859

3.可以翻�,呵呵


如果你�是�得��,我�了����本,只需�� AppID= 就可用了

程序代码:
#! /bin/bash AppID=ex1.www              #Change here to your appid ex: fxxkgfw.www , format: Appid.www  key="$HOME/.dotcloud/dotcloud.key" host=$(dotcloud info "$AppID" | sed '/ssh:\/\/.*/!d;s/^.*\/\///' | cut -d: -f1) rport=$(dotcloud info "$AppID" | sed '/ssh:\/\/.*/!d;s/^.*\/\///' | cut -d: -f2) lport=7070  if [ ! -f "$key" ] ; then     echo "You do not have $key" >&2     exit 5 fi if [ -z "$host" ] ; then     echo "Your DotCloud APPID seems not found." >&2     exit 6 fi  ssh -i "$key" -vNfD $lport "$host" -p $rport 

在�端��行chmod +x scriptname , 然後�行 ./scriptname OK

 

修改�本, 免得每次都要�行一�命令,直接生成ssh -D �本,也�需���本,不用加 .www , 只需�入你的�用名字。例如fxxkgfw 即可生成另一�本,不需改�限,�行 ./fxxkgfw-ssh OK

程序代码:
#! /bin/bash printf "输入 DotCloud 认用名字: " >&2 read AppID="${REPLY}.www" key="$HOME/.dotcloud/dotcloud.key" lport=7070 rport=$(dotcloud info "$AppID" | sed '/ssh:\/\/.*/!d;s/^.*\/\///' | cut -d: -f2) host=$(dotcloud info "$AppID" | sed '/ssh:\/\/.*/!d;s/^.*\/\///' | cut -d: -f1) script_name="$HOME/${REPLY}_ssh"  if [ ! -f "$key" ] ; then    echo "You do not have $key, I can\'t make ssh script" >&2    exit 5 fi if [ -z "$host" ] ; then    echo "Your DotCloud APPID seems not found. Fail to make ssh script." >&2    exit 6 fi  echo "ssh -i $key -vNfD $lport $host -p $rport" > "$script_name" [ $? -eq 0 ] && chmod 755 "$script_name" && echo "$script_name is made." exit 0 

以後使用DotCloud ssh 翻�就用生成的�本可以了

来源https://cmded.net/forum/index.php?topic=5458

以上是用Cygwin仿真出Linux环境在openssh环境下完成的,也可以提取出认证私钥在Windows系统上直接使用Tunnelier或MyEntunnel翻墙。


发表评论